#ifndef TUNNELS_GAME_MODE_HPP
#define TUNNELS_GAME_MODE_HPP

#include "tunnels_game_state.hpp"
#include "tunnels_player.hpp"
#include "utils/game_mode.hpp"

namespace godot {
class TunnelsGameMode : public GameMode {
    GDCLASS(TunnelsGameMode, GameMode)
    static void _bind_methods();
public:
    virtual void _begin() override;

    void on_player_spawned(Node *player);

    TunnelsPlayer *get_player_instance() const;
private:
    TunnelsPlayer *player{nullptr};
};
}

#endif // !TUNNELS_GAME_MODE_HPP
